summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorChristoph Haag2017-01-06 12:01:14 +0100
committerChristoph Haag2017-01-06 12:01:14 +0100
commit9debcd2181b2522ab3647cbd69ee062deed22cba (patch)
tree2f74e4012ea15bc12ad1158ee218fcebbca63b01
downloadaur-9debcd2181b2522ab3647cbd69ee062deed22cba.tar.gz
initial commit
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD40
2 files changed, 54 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..2de0802dea5
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = osvr-display-git
+ pkgdesc = Cross-platform detection and configuration of displays
+ pkgver = r51.36d8aca
+ pkgrel = 1
+ url = https://github.com/OSVR/OSVR-Display
+ arch = i686
+ arch = x86_64
+ makedepends = git
+ makedepends = cmake
+ source = git+https://github.com/OSVR/OSVR-Display.git
+ md5sums = SKIP
+
+pkgname = osvr-display-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..fca522b541c
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,40 @@
+pkgname=osvr-display-git
+pkgver=r51.36d8aca
+pkgrel=1
+pkgdesc="Cross-platform detection and configuration of displays"
+arch=(i686 x86_64)
+url="https://github.com/OSVR/OSVR-Display"
+#license=('GPL')
+makedepends=('git' 'cmake')
+source=("git+https://github.com/OSVR/OSVR-Display.git")
+
+md5sums=(SKIP) #generate with 'makepkg -g'
+
+pkgver() {
+ cd "$srcdir/OSVR-Display"
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare() {
+ cd "$srcdir/OSVR-Display"
+ git submodule init
+ git submodule update --recursive
+}
+
+build() {
+ mkdir -p "$srcdir/OSVR-Display-build"
+ cd "$srcdir/OSVR-Display-build"
+ cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release ../OSVR-Display
+ make
+}
+
+package() {
+ cd "$srcdir/OSVR-Display-build"
+ make DESTDIR="$pkgdir/" install
+ mv "$pkgdir/usr/lib64" "$pkgdir/usr/lib" || true
+}
+
+# vim:set ts=2 sw=2 et: